// JavaScript Document

var ajax = new JSM.AJAX();

var rq_uri = "";
var cancel_timers = Array();
var cancel_elements = Array();

// Prepare the request uri
function setInfoURI(uri) {
	ajax.scriptbase = 'http://www.wna.gr/radcp/scripts/hs.feed.php';
        rq_uri = uri;
}

function addURIVariable(vname, value) {
    rq_uri+='&'+vname+'='+escape(value);
}

function putTimer(element, interval) {
	var i = 0;	
	for (i=0; i<cancel_timers.length; i++) {
		if (cancel_elements[i]==element) {
			var value = setTimeout('doTimer('+i+')', interval);
			cancel_timers.splice(i,1,value);
			return;
		}
	}
	i = cancel_timers.length;
	var value = setTimeout('doTimer('+i+')', interval);
	cancel_timers.push(value);
	cancel_elements.push(element);
}
function removeTimer(element) {
	var i = 0;	
	for (i=0; i<cancel_timers.length; i++) {
		if (cancel_elements[i]==element) {
			clearTimeout(cancel_timers[i]);
			cancel_timers.splice(i,1);
			cancel_elements.splice(i,1);
			return;
		}
	}
		
}
function doTimer(index) {
	var elm = document.getElementById(cancel_elements[index]);
	elm.innerHTML = '<center><img src="/images/warning.png" align="absmiddle" /> <span class="warning">Cannot obtain info!</span></center>';
}

function callAt(element, uri, callback) {
	putTimer(element, 3000);

	var elm = document.getElementById(element);
	elm.innerHTML = '<center><img src="/images/loading.gif" /></center>';

	ajax.callScript(rq_uri+'&page='+uri, callback);
}

function updateStatus() {
	callAt('dyn_status','info', 'statusCallback');	
}
function statusCallback(data) {
	removeTimer('dyn_status');
	var elm = document.getElementById('dyn_status');
	elm.innerHTML = data;
	setTimeout('updateStatus()',5000);
}
function contentCallback(data) {
	removeTimer('maindata');
	var elm = document.getElementById('maindata');
	elm.innerHTML = data;
}
function updateMainContent() {
	callAt('maindata', 'home', 'contentCallback');
}
function userInfoCallback(data) {
	removeTimer('userinfo');
	var elm = document.getElementById('userinfo');
	elm.innerHTML = data;	
}
function updateUserInfo() {
	callAt('userinfo', 'userinfo', 'userInfoCallback');
}
